package com.ytpm.lemonios.service;

import com.ytpm.agent.model.YtApp;
import com.ytpm.agent.param.DitchListParam;
import com.ytpm.agent.view.AgentDitchView;

import java.util.List;

/**
 * 渠道类型service
 */
public interface DitchService {
    /**
     * 获取渠道类型列表
     */
    List<AgentDitchView> ditchList(DitchListParam param);

    /**
     *  新增
     * @param app
     * @return
     */
    Integer save(YtApp app);


    void deleteByAppId(String appId);
}
